### Method

# ECal ComponentPeriod set_duration_full

since: 3.34

#### Declaration [src]

    void
    e_cal_component_period_set_duration_full (
      ECalComponentPeriod* period,
      const ICalTime* start,
      const ICalDuration* duration
    )

#### Description [src]

Set the kind of `period` to be `E_CAL_COMPONENT_PERIOD_DURATION` and fills the content with `start` and `duration`.

Available since: 3.34

#### Parameters

`start`

  Type: `None`

  An `ICalTime`, the start of the `period`.

  The data is owned by the caller of the method.

`duration`

  Type: `None`

  An `ICalDuration`, the duration of the `period`.

  The data is owned by the caller of the method.